package com.fastbee.waterele.service;

import java.util.List;
import com.fastbee.waterele.domain.MaCardinfo;

/**
 * 卡记录Service接口
 * 
 * @author kerwincui
 * @date 2024-08-12
 */
public interface IMaCardinfoService 
{
    /**
     * 查询卡记录
     * 
     * @param id 卡记录主键
     * @return 卡记录
     */
    public MaCardinfo selectMaCardinfoById(Long id);

    /**
     * 查询卡记录列表
     * 
     * @param maCardinfo 卡记录
     * @return 卡记录集合
     */
    public List<MaCardinfo> selectMaCardinfoList(MaCardinfo maCardinfo);

    /**
     * 新增卡记录
     * 
     * @param maCardinfo 卡记录
     * @return 结果
     */
    public int insertMaCardinfo(MaCardinfo maCardinfo);

    /**
     * 修改卡记录
     * 
     * @param maCardinfo 卡记录
     * @return 结果
     */
    public int updateMaCardinfo(MaCardinfo maCardinfo);

    /**
     * 批量删除卡记录
     * 
     * @param ids 需要删除的卡记录主键集合
     * @return 结果
     */
    public int deleteMaCardinfoByIds(Long[] ids);

    /**
     * 删除卡记录信息
     * 
     * @param id 卡记录主键
     * @return 结果
     */
    public int deleteMaCardinfoById(Long id);
}
